# $Revision: 1.5 $, $Date: 2001/10/09 22:33:45 $
Summary:	GOCR API library
Summary(pl):	Biblioteka GOCR API
Name:		libgocr
Version:	0.7.2
Release:	2
License:	LGPL
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
Group(pt_BR):	Bibliotecas
Group(ru):	
Group(uk):	̦
Source0:	http://prdownloads.sourceforge.net/jocr/%{name}-%{version}.tar.gz
Patch0:		%{name}-doc.patch
Patch1:		%{name}-configure.patch
URL:		http://jocr.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	netpbm-devel
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GOCR (GNU Optical Character Recognition) API is a library, released
under the LGPL, intended to make life easier to the developers of OCR
algorithms. It handles all the internal problems, structures, data,
images, etc, freeing the programmer of all this burden. All one has to
do is to write a plugin (using, for example, the Module Development
Kit), which "simply" processes the image of a character and returns
its value. Easy.

%description -l pl
GOCR (GNU OCR) API jest bibliotek na licencji LGPL majc za zadanie
uatwi ycie programistom algorytmw OCR. Biblioteka obsuguje wiele
wewntrznych problemw, struktur, danych, obrazkw - uwalniajc
programist od tego ciaru. Wszystko, co musi napisa programista, to
plugin (uywajc np. Module Development Kit), ktry "tylko" obrabia
obraz znaku i zwraca jego warto.

%package devel
Summary:	Development package for GOCR API
Summary(pl):	Pakiet dla programistw uywajcych GOCR API
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name} = %{version}

%description devel
Header files and developer's documentation for GOCR API.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty do GOCR API.

%package static
Summary:	Static GOCR API library
Summary(pl):	Biblioteka statyczna GOCR API
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name}-devel = %{version}

%description static
Static version of GOCR API library.

%description static -l pl
Statyczna wersja biblioteki GOCR API.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
aclocal
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	gocrdir=%{_includedir}

gzip -9nf Changelog README STATUS TODO doc/developers.txt doc/api.ps

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.gz
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_libdir}/*.la
%{_includedir}/gocr

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libgocr.spec,v $
Revision 1.5  2001/10/09 22:33:45  qboosh
- doc patch and building PostScript API documentation are back
- new configure patch to fix 2 bugs in configure.in
- libtoolize not needed now
- release 2

Revision 1.4  2001/10/09 01:51:35  kloczek
- updated to 0.7.2,
- removed outdated patches,
- removed libltdl-devel and tetex-* from BuildRequires.

Revision 1.3  2001/09/26 13:52:11  qboosh
- BuildRequires: libtool

Revision 1.2  2001/09/10 20:42:31  kloczek
- added "rm -f missing" on top %build (this is neccessary for new automake
  for avoid error messages about incorrect version this script).

Revision 1.1  2001/09/10 20:27:16  qboosh
- new package from GOCR project
